Bug 119089 - RFE: Add user-agent string to up2date/rhnsd (user modifiable)
RFE: Add user-agent string to up2date/rhnsd (user modifiable)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhnlib (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
:
Depends On:
Blocks: up2date-rhel3-u2
  Show dependency treegraph
 
Reported: 2004-03-24 17:00 EST by Chris Kloiber
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 16:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Kloiber 2004-03-24 17:00:53 EST
Description of problem:

An enterprise customer is requesting we allow him the ability to
change the user-agent string generated by http(s) requests from
up2date and rhnsd. This will allow him to allow up2date to pass
through his restrictive corporate firewall unimpeded.

My testing using Squid configured to log user-agent strings shows that
up2date currintly generates *no* user-agent string when communicating
with the server, and it's hard to filter/allow on nulls.
Comment 1 Adrian Likins 2004-03-30 18:15:39 EST
I've got a patch for this, will take a look for the next release.
Comment 2 Adrian Likins 2004-04-05 15:50:23 EDT
No, the only time it doesn't send an user-agent string is
when it does the CONNECT to the http proxy to forward
the SSL connections. 

Also, this is an rhnlib bug, not an up2date one, so
reassining there. 
Comment 3 Adrian Likins 2004-04-07 15:19:46 EDT
I seem to be cross my comments on this bug with another similar
bug. Sorry.

In addition, here is an rhnlib patch:

--- rhnlib-1.3/rhn/connections.py.akl   2004-04-02 15:47:00.000000000
-0500
+++ rhnlib-1.3/rhn/connections.py       2004-04-02 15:47:29.000000000
-0500
@@ -154,7 +154,8 @@
         userpass = "%s:%s" % (self.__username, self.__password)
         enc_userpass = string.strip(base64.encodestring(userpass))
         self.putheader("Proxy-Authorization", "Basic %s" % enc_userpass)
-
+       self.putheader("User-Agent", "rhnlib ssl connect")
+
 class HTTPSConnection(HTTPConnection):
     response_class = HTTPResponse
     default_port = httplib.HTTPSConnection.default_port


Theres a more sophisticated patch floating around, but I'm not
convinces the extra code needed to make a configurable user-agent
is worth it.
Comment 4 Mihai Ibanescu 2004-04-12 15:56:24 EDT
Patch got into rhnlib-1.7
How important is this to make a backport of it? Is handing them the
newer packages "good enough"?
Comment 8 Adrian Likins 2004-06-17 16:06:07 EDT
user configurable user-agent support is currently "notabug",
and there are no currently no plans to add it.
Comment 9 John Flanagan 2004-08-18 10:34:09 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-375.html
Comment 10 Chris Kloiber 2004-08-23 18:40:07 EDT
This bug is against Red Hat Enterprise Linux 3. The errata mentioned
only covers Red Hat Enterprise Linux 2.1 as far as I can tell. Will a
seperate errata be issued?
Comment 11 Jay Turner 2004-09-02 01:21:35 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-382.html

Note You need to log in before you can comment on or make changes to this bug.